//
//	Copyright(C) 1995 Sarrus Software, Inc.
//	All rights reserved.
//
//	PMIAppointment.h
//
#import <foundation/NSDictionary.h>

#import "PMIEvent.h"
#import	"PMIAlarm.h"

@protocol PMIAppointment <PMIEvent>

- (NSCalendarDate *)startTime;
- (void)setStartTime:(NSCalendarDate *)startTime;

- (unsigned int)duration;
- (void)setDuration:(unsigned int)minutes;

- (NSCalendarDate *)endTime;

- (NSArray *)alarms;
- (id <PMIMailAlarm>)mailAlarm;
- (id <PMIAlarm>)soundAlarm;
- (id <PMIAlarm>)messageAlarm;
- (id <PMIMailAlarm>)addMailAlarm;
- (id <PMIAlarm>)addSoundAlarm;
- (id <PMIAlarm>)addMessageAlarm;
- (void)removeAlarm:(id <PMIAlarm>)alarm;
- (void)removeAlarms;

- (NSString *)note;
- (void)setNote:(NSString *)newNote;

- (NSString *)rtfNote;
- (void)setRTFNote:(NSString *)newNote;

- (Font *)titleFont;
- (void)setTitleFont:(Font *)newFont;

- (NXColor)titleColor;
- (void)setTitleColor:(NXColor)color;
- (void)eraseTitleColor;

- (BOOL)isHighlight;
- (void)setHighlight:(BOOL)value;

- (BOOL)isPrivate;
- (void)setPrivate:(BOOL)value;

- (BOOL)isTentative;
- (void)setTentative:(BOOL)value;

- (BOOL)isShadow;
- (void)setShadow:(BOOL)value;

- (void)distributeWithRSVPToCalendar:(NSString *)calendarFilename;
- (void)distributeWithRSVPToCalendars:(NSArray *)calendarFilenames;

- (BOOL)isRSVP;
- (NSDictionary *)recipientResponses;
- (BOOL)invitationNeedsResponse;
- (void)acceptInvitation:(BOOL)value;

@end
